# EventConfig::avoidMethod

(PECL event >= 1.2.6-beta)

EventConfig::avoidMethod — Tells libevent to avoid specific event method

### Descripción

public EventConfig::avoidMethod( string `$method` ): bool

Tells libevent to avoid specific event method(backend). See » Creating an event base .

### Parámetros

`method`

  The backend method to avoid. See EventConfig constants .

### Valores devueltos

Devuelve `true` en caso de éxito o `false` en caso de error.

### Ejemplos

Ejemplo #1 EventConfig::avoidMethod() example

`<?php
$cfg = new EventConfig();
if ($cfg->avoidMethod("select")) {
echo "'select' method avoided\n";
}
?>`

### Ver también

- EventBase::__construct() - Constructs EventBase object